function init(hero) {
    hero.setName("White Canary/CW");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:black_canarys_tonfas");
    hero.setPrimaryEquipment("fiskheroes:bo_staff");
    hero.addEquipment("fiskheroes:subatomic_battery");
    
    hero.addPowers("fiskheroes:canary_cry", "fiskheroes:throwing_stars");
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 5.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("WEAPON_DAMAGE", 2.5, 0);

    hero.setDefaultScale(0.95);
   
    hero.addKeyBind("SONIC_WAVES", "key.canaryCry", 1);
    hero.addKeyBind("UTILITY_BELT", "key.utilityBelt", 2);

    hero.setModifierEnabled(isModifierEnabled);
}

function isModifierEnabled(entity, modifier) {
    return entity.getHeldItem().name() == "fiskheroes:subatomic_battery" || modifier != "fiskheroes:canary_cry";
}